---
title: Create a new host application
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/host/create-a-new-host-application/
product: CloudConnexa Docs
---

# Create a new host application

`POST /api/v1/hosts/applications`

**Create a new host application.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "routes": [
    {
      "value": "string",
      "allowEmbeddedIp": true
    }
  ],
  "config": {
    "serviceTypes": [
      "ANY"
    ],
    "customServiceTypes": [
      {
        "protocol": "TCP",
        "port": [
          {}
        ],
        "icmpType": [
          {}
        ]
      }
    ]
  }
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| hostId | query | string | true | none |
| body | body | [ApplicationRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/schemas/applicationrequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » routes | body | \[[ApplicationRouteRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/applicationrouterequest.md)\] | false | none |
| »» value | body | string | false | none |
| »» allowEmbeddedIp | body | boolean | false | none |
| » config | body | [ServiceConfigRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/serviceconfigrequest.md) | false | none |
| »» serviceTypes | body | \[string\] | false | none |
| »» customServiceTypes | body | \[[CustomServiceTypeRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/customservicetyperequest.md)\] | false | none |
| »»» protocol | body | string | false | none |
| »»» port | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/rangeinteger.md)\] | false | none |
| »»»» value | body | integer(int32) | false | none |
| »»»» lowerValue | body | integer(int32) | false | none |
| »»»» upperValue | body | integer(int32) | false | none |
| »»» icmpType | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/rangeinteger.md)\] | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| »» serviceTypes | ANY |
| »» serviceTypes | CUSTOM |
| »» serviceTypes | BGP |
| »» serviceTypes | DHCP |
| »» serviceTypes | DNS |
| »» serviceTypes | FTP |
| »» serviceTypes | HTTP |
| »» serviceTypes | HTTPS |
| »» serviceTypes | IMAP |
| »» serviceTypes | IMAPS |
| »» serviceTypes | NTP |
| »» serviceTypes | POP3 |
| »» serviceTypes | POP3S |
| »» serviceTypes | SMTP |
| »» serviceTypes | SMTPS |
| »» serviceTypes | SNMP |
| »» serviceTypes | SSH |
| »» serviceTypes | TELNET |
| »» serviceTypes | TFTP |
| »»» protocol | TCP |
| »»» protocol | UDP |
| »»» protocol | ICMP |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Created | [ApplicationResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/schemas/applicationresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get page of existing host applications](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/host/get-page-of-existing-host-applications.md)
Next: [Access Visibility](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/access-visibility.md)
Index: https://openvpn.net/cloud-docs/llms.txt
